CVE-2005-4226
CVSS7.5
发布时间 :2005-12-14 06:03:00
修订时间 :2017-07-19 21:29:12
NMC    

[原文]Multiple "potential" SQL injection vulnerabilities in phpWebThings 1.4 Patched might allow remote attackers to execute arbitrary SQL commands via (1) the ref parameter in download.php, (2) the direction, msg, sforum, reason, subname, and toform parameters in forum.php, (3) the msg and forum parameters in forum_edit.php, (4) the msg and forum parameters in forum_write.php, (5) the tekst parameter in guestbook.php, (6) the menuoption parameter in index.php, and the (7) sel_avatar parameter in myaccount.php. NOTE: the forum.php/forum vector is already identified by CVE-2005-3585.


[CNNVD]phpWebThings Patched SQL注入漏洞(CNNVD-200512-262)

        phpWebThings 1.4 Patched中存在多个"潜在"SQL注入漏洞, 远程攻击者可能可以通过 (1)download.php中的ref参数,(2)forum.php中的direction、msg、sforum、reason、subname和toform参数,(3)forum_edit.php中的msg和forum参数,(4)forum_write.php中的msg和forum参数,(5) guestbook.php中的tekst参数,(6)index.php中的menuoption参数和(7) myaccount.php中的sel_avatar参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4226
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4226
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-262
(官方数据源) CNNVD

- 其它链接及资源

http://glide.stanford.edu/yichen/research/sec.pdf
(UNKNOWN)  MISC  http://glide.stanford.edu/yichen/research/sec.pdf
http://www.securityfocus.com/archive/1/archive/1/419280/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20051211 [PHP-CHECKER] 99 potential SQL injection vulnerabilities
http://www.securityfocus.com/archive/1/archive/1/419487/100/0/threaded
(UNKNOWN)  BUGTRAQ  20051212 [PHP-CHECKER] 99 potential SQL injection vulnerabilities
http://www.vupen.com/english/advisories/2005/2860
(UNKNOWN)  VUPEN  ADV-2005-2860
https://exchange.xforce.ibmcloud.com/vulnerabilities/23565
(UNKNOWN)  XF  phpwebthings-download-ref-sql-injection(23565)

- 漏洞信息

phpWebThings Patched SQL注入漏洞
高危 SQL注入
2005-12-14 00:00:00 2005-12-14 00:00:00
远程  
        phpWebThings 1.4 Patched中存在多个"潜在"SQL注入漏洞, 远程攻击者可能可以通过 (1)download.php中的ref参数,(2)forum.php中的direction、msg、sforum、reason、subname和toform参数,(3)forum_edit.php中的msg和forum参数,(4)forum_write.php中的msg和forum参数,(5) guestbook.php中的tekst参数,(6)index.php中的menuoption参数和(7) myaccount.php中的sel_avatar参数执行任意SQL命令。

- 公告与补丁

        
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站